> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message

> This endpoint retrieves a specific message based on the `message_id` or `queue_id`




## OpenAPI

````yaml GET /message/{message_id}
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
paths:
  /message/{message_id}:
    parameters:
      - name: message_id
        in: path
        required: true
        schema:
          type: string
          example: true_919537851844@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C
        description: >-
          - The message_id or the queue_id of the message

          - If the message is still pending in the queue, queue_id will not
          return a value
    get:
      tags:
        - message
      summary: Get Message
      description: >
        This endpoint retrieves a specific message based on the `message_id` or
        `queue_id`
      operationId: getMessage
      parameters:
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          description: >-
            Please provide the number of the phone you want to call with this
            API in the header. The number must be in country code + number
            format without any characters or spaces, e.g. 919876543210;
            Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the
            header
      responses:
        '200':
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '2335'
            Date:
              schema:
                type: string
                example: Tue, 28 Jan 2025 05:12:01 GMT
            ETag:
              schema:
                type: string
                example: W/"91f-cdmMfNQ5si8laRxFBm9fbBzkduw"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1738041123'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: 67cc4ef0-dd36-11ef-bd3a-473103610e33
          content:
            application/json:
              schema:
                type: object
                description: >-
                  The response is a message object. Refer to [the message object
                  here](/api-reference/objects/the-message-object)
              examples:
                200 OK:
                  value:
                    ack: '3'
                    author: null
                    body: Hello, Edited World 2
                    broadcast: null
                    broadcast_id: null
                    chat_id: 919537851844@c.us
                    delivery_info:
                      delivered:
                        919537851844@c.us: 1737967705196
                      delivered_count: 1
                      pending: []
                      read:
                        919537851844@c.us: 1737967704763
                      read_count: 1
                    device_type: null
                    duration: null
                    flag_metadata: null
                    flag_response_time: null
                    flag_status: null
                    forwarding_score: null
                    from: null
                    from_me: true
                    fts: '''2'':4 ''edit'':2 ''hello'':1 ''world'':3'
                    has_media: null
                    has_quoted_msg: null
                    has_reaction: null
                    id:
                      from_me: true
                      id: 3EB0C62861626B2D8BD4A386E48976EC85CB009C
                      remote: 919537851844@c.us
                      serialized: >-
                        true_919537851844@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C
                    interactive: null
                    invite_v4: null
                    is_deleted: null
                    is_ephemeral: null
                    is_forwarded: null
                    is_gif: null
                    is_starred: null
                    is_status: null
                    links: null
                    location: null
                    media: null
                    media_key: null
                    mentioned_ids: []
                    message_id: >-
                      true_919537851844@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C
                    message_ticket_id: null
                    message_type: chat
                    order_id: null
                    org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                    org_phone: 918527184400@c.us
                    performed_by: null
                    poll_info: null
                    poll_results: null
                    prev_body: Hello, Edited World
                    quoted_message_id: null
                    raw_data: null
                    reactions:
                      - ack: null
                        chat_id: 919537851844@c.us
                        id:
                          from_me: true
                          id: 3EB0A92AE3DE31D97BAEC6
                          remote: 919537851844@c.us
                          serialized: true_919537851844@c.us_3EB0A92AE3DE31D97BAEC6
                        message_id: >-
                          true_919537851844@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C
                        msg_id:
                          from_me: true
                          id: 3EB0C62861626B2D8BD4A386E48976EC85CB009C
                          remote: 919537851844@c.us
                          serialized: >-
                            true_919537851844@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C
                        org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                        org_phone: 918527184400@c.us
                        orphan: null
                        orphan_reason: null
                        reaction: 😄
                        reaction_id: true_919537851844@c.us_3EB0A92AE3DE31D97BAEC6
                        read: true
                        sender_id: 918527184400@c.us
                        timestamp: '2025-01-28T05:11:57.008+00:00'
                        unique_id: 3EB0C62861626B2D8BD4A386E48976EC85CB009C
                    sender_phone: 918527184400@c.us
                    sent_message_id: 459d1ec5-1d0d-4170-947b-4ad4adca5ba9
                    timestamp: '2025-01-27T08:48:24+00:00'
                    to: null
                    token: null
                    unique_id: 3EB0C62861626B2D8BD4A386E48976EC85CB009C
                    updated_at: '2025-01-28T05:11:38.221+00:00'
                    vcards: null
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function getMessage() {
              const response = await client.message.getById({
                message_id: 'true_919487126251@c.us_3EB0F754E67BDF3178E76C680224FF7114E2CB95'
              });

              console.log(response);
            }

            getMessage();
        - lang: cURL
          label: cURL
          source: |
            curl -X GET \
              https://api.periskope.app/v1/message/{message_id} \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````